%define rname	chan_sccp
%define name	asterisk-%{rname}
%define version	20050404

Summary:	Extended Skinny open source channel driver for the Asterisk PBX
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://chan-sccp.sourceforge.net/
Source0:	chan_sccp-%{version}.tar.bz2
Patch0:		chan_sccp-20050404-mdk_conf.diff.bz2
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Extended Skinny open source channel driver for the Asterisk PBX.

%prep

%setup -q -n %{rname}-%{version}
%patch0 -p0

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done
    
# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

%build

%make RPM_OPT_FLAGS="%{optflags} -pipe -Wall -fPIC -DPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk

install -m0644 conf/sccp.conf %{buildroot}%{_sysconfdir}/asterisk/
install -m0644 conf/7960-tones.xml %{buildroot}%{_sysconfdir}/asterisk/
install -m0644 conf/XMLDefault.cnf.xml %{buildroot}%{_sysconfdir}/asterisk/
install -m0755 chan_sccp.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS README README.devices
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/sccp.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/7960-tones.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/XMLDefault.cnf.xml
%attr(0755,root,root) %{_libdir}/asterisk/chan_sccp.so

%changelog
* Tue Apr 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 20050404-1mdk
- initial package
